Package org.apache.tiles.web.jsp.taglib

# Class PutListAttributeTag

java.lang.Object
jakarta.servlet.jsp.tagext.SimpleTagSupport
org.apache.tiles.web.jsp.taglib.PutListAttributeTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.SimpleTag`

public class PutListAttributeTag extends jakarta.servlet.jsp.tagext.SimpleTagSupport

Declare a list that will be pass as attribute to tile.

Declare a list that will be pass as attribute to tile. List elements are added using the tags 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition', 'definition' tags.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutListAttributeTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doTag()`
  `String`
  `getName()`
  Getter for name property.
  `String`
  `getRole()`
  Getter for role property.
  `boolean`
  `isCascade()`
  Getter for cascade property.
  `boolean`
  `isInherit()`
  Getter for inherit property.
  `void`
  `setCascade(boolean cascade)`
  Setter for cascade property.
  `void`
  `setInherit(boolean inherit)`
  Setter for inherit property.
  `void`
  `setName(String name)`
  Setter for name property.
  `void`
  `setRole(String role)`
  Setter for role property.

  ### Methods inherited from class jakarta.servlet.jsp.tagext.SimpleTagSupport

  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PutListAttributeTag

    public PutListAttributeTag()

- ## Method Details

  - ### getName

    public String getName()
    Getter for name property.
    Returns:
      The name of the attribute to put.

  - ### setName

    public void setName(String name)
    Setter for name property.
    Parameters:
      `name` - The name of the attribute to put.

  - ### getRole

    public String getRole()
    Getter for role property.
    Returns:
      A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.

  - ### setRole

    public void setRole(String role)
    Setter for role property.
    Parameters:
      `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.

  - ### isInherit

    public boolean isInherit()
    Getter for inherit property.
    Returns:
      If true, the list attribute will use, as first elements, the list contained in the list attribute, put with the same name, of the containing definition.

  - ### setInherit

    public void setInherit(boolean inherit)
    Setter for inherit property.
    Parameters:
      `inherit` - If true, the list attribute will use, as first elements, the list contained in the list attribute, put with the same name, of the containing definition.

  - ### isCascade

    public boolean isCascade()
    Getter for cascade property.
    Returns:
      If true the attribute will be cascaded to all nested attributes.

  - ### setCascade

    public void setCascade(boolean cascade)
    Setter for cascade property.
    Parameters:
      `cascade` - If true the attribute will be cascaded to all nested attributes.

  - ### doTag

    public void doTag() throws jakarta.servlet.jsp.JspException, IOException
    Specified by:
      `doTag` in interface `jakarta.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `jakarta.servlet.jsp.tagext.SimpleTagSupport`
    Throws:
      `jakarta.servlet.jsp.JspException`
      `IOException`